package com.cardiff.client_project.service;

import com.cardiff.client_project.pojo.dto.SelectDTO;
import com.cardiff.client_project.pojo.dto.SignUserDTO;
import com.cardiff.client_project.utils.Result;

import java.util.List;

public interface SuperAdminService {
    /**
     * User registration
     * @param signDTO
     * @return
     */
    Result insertUserInform(SignUserDTO signDTO);


    /**
     * delete information by id
     * @param ids
     * @return
     */
    Result deleteById(List<Integer> ids,String type);

    /**
     * Query admin information
     * @return
     */
    Result selectAllAdmin();

    /**
     * Query hospital information
     * @return
     */
    Result selectAllHospital();
    /**
     * Update data
     * @param selectDTO
     * @return
     */
    Result update(SelectDTO selectDTO);

    /**
     * fuzzy query
     * @param selectDTO
     * @return
     */
    Result selectByItem(SelectDTO selectDTO);

    /**
     * page select
     * @param type
     * @param pageSize
     * @return
     */
    Result selectPage(String type, Integer pageSize,Integer pageNumber);
}
